# List Roles

Returns a list of Roles present in the Account scope.

Endpoint: GET /v1/roles
Version: 1.0
Security: x-api-key

## Query parameters:

  - `page` (integer)
    Pagination page number strategy: Specify the page number within the paginated collection related to the number of items on each page.

  - `limit` (integer)
    Pagination: Number of items to return.

  - `search_term` (string)
    This would be used to filter resources having attributes matching the search term.

  - `sort` (string)
    Parameter on the basis of which sorting is done.
    Enum: "identifier", "name", "created", "updated"

  - `order` (string)
    Order on the basis of which sorting is done.
    Enum: "ASC", "DESC"

## Header parameters:

  - `Harness-Account` (string)
    Identifier field of the account the resource is scoped to. This is required for Authorization methods other than the x-api-key header. If you are using the x-api-key header, this can be skipped.

## Response 200 fields (application/json):

  - `identifier` (string, required)
    Role Identifier

  - `name` (string, required)
    Role Name

  - `permissions` (array)
    Permissions for this Role.

  - `allowed_scope_levels` (array)
    The Scope levels at which this Role can be used.
    Enum: "account", "organization", "project"

  - `description` (string)
    Role description

  - `tags` (object)
    Role tags

  - `scope` (object)
    Scope of the Role

  - `scope.account` (string)
    Account identifier

  - `scope.org` (string)
    Organization identifier

  - `scope.project` (string)
    Project identifier

  - `created` (integer)
    Creation timestamp for Role.

  - `updated` (integer)
    Last modification timestamp for Role.

  - `harness_managed` (boolean)
    This indicates if this Role is managed by Harness or not. If true, Harness can manage and modify this Role.


